ifndef NDK_ROOT
NO_NDK_ROOT = 1
endif

RM    = rm
RMDIR = rmdir

TARGET = crc32

all: envtest clean $(TARGET)

envtest:
ifeq ($(NO_NDK_ROOT), 1)
	$(error Please export NDK_ROOT (ex. .../android-ndk-rX/))
endif

$(TARGET):
	$(NDK_ROOT)/ndk-build

clean: envtest
	$(NDK_ROOT)/ndk-build clean
	-@$(RM) -f $(TARGET)
	-@$(RM) -f -R bin/* libs/*
	-@$(RM) -rf bin libs >>/dev/null

